# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name Agda-executable

Name:           Agda
Version:        2.3.0.1
Release:        6%{?dist}
Summary:        Command-line program for type-checking and compiling Agda programs

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-Agda-devel = %{version}

%description
This package provides a command-line program for type-checking and
compiling Agda programs. The program can also generate hyperlinked,
highlighted HTML files from Agda sources.

For the interactive environment please install emacs-agda instead.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_bin_build


%install
%ghc_bin_install


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/agda


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 25 2012 Jens Petersen <petersen@redhat.com> - 2.3.0.1-5
- rebuild

* Thu Dec  6 2012 Jens Petersen <petersen@redhat.com> - 2.3.0.1-4
- remove ExclusiveArch ghc_arches_with_ghci

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 2.3.0.1-3
- rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Jens Petersen <petersen@redhat.com> - 2.3.0.1-1
- update to 2.3.0.1 and cabal2spec-0.25

* Fri Jun  3 2011 Jens Petersen <petersen@redhat.com> - 2.2.10-1
- MIT license
- BR ghc-Agda-devel

* Fri Jun  3 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 2.2.10-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23
